Bug 1653257 - Packaging error in python2_condor: libs installed in /
Summary: Packaging error in python2_condor: libs installed in /
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: condor
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tim Theisen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 11:51 UTC by Bert DeKnuydt
Modified: 2019-08-10 06:31 UTC (History)
9 users (show)

Fixed In Version: condor-8.8.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-10 06:31:06 UTC


Attachments (Terms of Use)

Description Bert DeKnuydt 2018-11-26 11:51:00 UTC
Description of problem:

The F29 package 'python2_condor' installs two
shared libraries in the / i.s.o. 
/usr/lib64/python2.7/site-packages/

Version-Release number of selected component (if applicable):

python2-condor-8.6.11-3.fc29.x86_64

How reproducible:

Always

Steps to Reproduce:
1. rpm -ql python2-condor-8.6.11-3.fc29.x86_64
2.
3.

Actual results:

[root@amethyst ~]# rpm -ql python2-condor-8.6.11-3.fc29.x86_64
/classad.so    <============================
/htcondor.so   <============================
/usr/lib/.build-id
/usr/lib/.build-id/12/ddb966f997fb03879babdc6348d8c51cdfec60
/usr/lib/.build-id/ab/55fef85196a033ec29acf84a72e0db02ea1a65
/usr/lib/.build-id/af/37d7aa52b4a0571b288bd810f581b5f0ad92e3
/usr/lib64/libpyclassad2.7_8_6_11.so

Expected results:

As e.g. in F28:

[root@kunzite ~]# rpm -ql python2-condor-8.6.11-1.fc28.x86_64
/usr/lib/.build-id
/usr/lib/.build-id/2c
/usr/lib/.build-id/2c/576d89394230dfe3f3b4e7d022eb4c9f17efc1
/usr/lib/.build-id/63
/usr/lib/.build-id/63/48224608881510eb197a3bd69b990662bbf3d6
/usr/lib/.build-id/74/286b5bca4462352cf223ca9d34000dfab9e1c1
/usr/lib64/libpyclassad2.7_8_6_11.so
/usr/lib64/python2.7/site-packages/classad.so
/usr/lib64/python2.7/site-packages/htcondor.so

Additional info:

This results in the Python interface to Condor being unusable
and pollutes the / ...

BTW: Tim (?), any hope on a more recent Condor for F29? Or wait
till 8.8.0?

Comment 1 Matyas Selmeci 2019-01-24 17:35:05 UTC
Also, /usr/lib/.build-id shouldn't be in there, either.

Comment 2 Fedora Update System 2019-07-31 01:57:45 UTC
FEDORA-2019-f0f74bf64a has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0f74bf64a

Comment 3 Fedora Update System 2019-08-01 05:33:36 UTC
condor-8.8.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0f74bf64a

Comment 4 Fedora Update System 2019-08-10 06:31:06 UTC
condor-8.8.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.